Bug 1854314 - Kernel module r8169 doesn't work with RTL8125 2.5GBe Ethernet controller chip XID 641
Summary: Kernel module r8169 doesn't work with RTL8125 2.5GBe Ethernet controller chip...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 32
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-07 07:35 UTC by rsterenb
Modified: 2020-08-30 19:10 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description rsterenb 2020-07-07 07:35:47 UTC
1. Please describe the problem:

The (new) Asus B550-Plus mainboards has a "Realtek RTL8125 2.5GBe Ethernet controller" on board. Specs: https://www.asus.com/nl/Motherboards/TUF-GAMING-B550M-PLUS/specifications/

At https://lwn.net/Articles/797806/ I find that the r8169 module is supposed to support this controller, but no NIC shows up when using this module.

2. What is the Version-Release number of the kernel:

# uname -r
5.7.7-200.fc32.x86_64

At the time of writing this is the latest kernel version for F32.


3. Did it work previously in Fedora?

AFAIK the B550 mainboards are quite new, so it probably it never worked.


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

Yes. Install a clean Fedora and the NIC is not listed.


# ip link show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: virbr0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc noqueue state DOWN mode DEFAULT group default qlen 1000
    link/ether 52:54:00:cd:ce:d2 brd ff:ff:ff:ff:ff:ff
3: virbr0-nic: <BROADCAST,MULTICAST> mtu 1500 qdisc fq_codel master virbr0 state DOWN mode DEFAULT group default qlen 1000
    link/ether 52:54:00:cd:ce:d2 brd ff:ff:ff:ff:ff:ff

# grep r8169 /var/log/messages 
Jul  6 16:47:21 localhost kernel: r8169 0000:05:00.0: unknown chip XID 641

# lspci | grep Eth
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8125 2.5GbE Controller (rev 04)


The problem can be fixed by manually installing the kernel module provided by Realtek. However, this means I have to reinstall the kernel module every time I get a kernel update, it taints the kernel and it is not signed. So, this is less than ideal..

# grep r8125 messages      
Jul  6 08:42:55 localhost kernel: r8125: loading out-of-tree module taints kernel.
Jul  6 08:42:55 localhost kernel: r8125: module verification failed: signature and/or required key missing - tainting kernel
Jul  6 08:42:56 localhost kernel: r8125 2.5Gigabit Ethernet driver 9.003.05-NAPI loaded
Jul  6 08:42:56 localhost kernel: r8125: This product is covered by one or more of the following patents: US6,570,884, US6,115,776, and US6,327,625.
Jul  6 08:42:56 localhost kernel: r8125  Copyright (C) 2020  Realtek NIC software team <nicfae@realtek.com> #012 This program comes with ABSOLUTELY NO WARRANTY; for details, please see <http://www.gnu.org/licenses/>. #012 This is free software, and you are welcome to redistribute it under certain conditions; see <http://www.gnu.org/licenses/>. 
Jul  6 08:42:56 localhost kernel: r8125 0000:05:00.0 enp5s0: renamed from eth0
Jul  6 08:43:02 localhost kernel: r8125: enp5s0: link up

The driver can be found at: https://www.realtek.com/en/component/zoo/category/network-interface-controllers-10-100-1000m-gigabit-ethernet-pci-express-software

I used: 2.5G Ethernet LINUX driver r8125 for kernel up to 5.6
Version: 9.003.05
Date: 2020/05/25

I hope this can be fixed.

Comment 1 Heiner Kallweit 2020-07-09 07:52:45 UTC
It's not a bug but a missing feature. So far r8169 supports RTL8125A, but not yet RTL8125B.

Comment 2 Heiner Kallweit 2020-07-17 10:18:42 UTC
RTL8125B support is available on linux-next and will be included in 5.9.
Make sure you have the latest firmware, July 2020 snapshot.


Note You need to log in before you can comment on or make changes to this bug.